=== debian/changelog ===
texlive-extra (2012.20120611-2) unstable; urgency=low

  * fix broken mf2pt1 info file that triggered broken info/dir file
    under certain circumstances (Closes: #683201)

 -- Norbert Preining <preining@debian.org>  Mon, 30 Jul 2012 11:08:33 +0900

texlive-extra (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:01:55 +0900

texlive-extra (2012.20120529-1) unstable; urgency=low

  * new upstream checkout
  * add transitional dummy texlive-latex3 package to upgrade to
    texlive-latex-recommended (Closes: #673797)
  * don't ship STIX fonts, but link from fonts-stix and depend on it

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2012 19:19:02 +0900

texlive-extra (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * switch to xz compression for orig and deb (Closes: #672428)

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:22:07 +0900

texlive-extra (2011.20120509-1) unstable; urgency=low

  * new upstream snapshot (Closes: #670336)
  * texpower take over
    . ship the TL packages texpower and tpslifonts (formerly blacklisted)
    . provide a dummy transitional package texpower
    . add the necessary conflicts and depends
  * fix wrong link in README.source (Closes: #671920)
  * pdfjam take over (actually done already earlier)
    . ship the TL package pdfjam
    . provide a dummy transitional package pdfjam
    . add the necessary conflicts and depends

 -- Norbert Preining <preining@debian.org>  Wed, 25 Apr 2012 12:01:15 +0900

texlive-extra (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot
    - includes updates ucs package (Closes: #635382)
  * break against scalable-cyrfonts-tex as it ships fonts with the same
    names as in texlive-fonts-extra
  * adjust links and blacklist for new libertine fonts location in TL

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 08:38:29 +0900

texlive-extra (2011.20120322-1) unstable; urgency=low

  * replace otf/ttf fonts with links to the files in the
    respective Debian package, depend on that package
  * upload to unstable

  [ Hilmar Preuße ]

  List of fixed bugs in new TeX Live
  * new version of pst-dbicons (Closes: #619615)
  * flashcards does not fail with "Package geometry Error"
    (Closes: #501520)
  * epstopdf --nogs writes to standard output (Closes: #568167)
  * custom-bib made bibtex fail in specific cases (Closes: #580053)
  * endless loop in font2afm when converting OTF files (Closes: #641460)
  * revtex4-1 does handle multiple affiliations (Closes: #591927)
  * footbib again compatible with LaTeX (Closes: #605960)
  * ecv no longer clashes with ifpdf (Closes: #629448)
  * new version of exam.cls (Closes: #639375)
  * new version of Antykwa Półtawskiego font (Closes: #602437)
  * new version of American Chemical Society (Closes: #632934)
  * todo don't complain about bad space factor (Closes: #470141)
  * Workaround added to pdfcrop for buggy ghostscript that
    print the BoundingBox data twice (Closes: #600684)
  * new version of classicthesis and arsclassica in texlive-publishers
    (Closes: #585401)
  * new version of exercise.sty in texlive-latex-extra (Closes: #605738)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 08:37:39 +0900

texlive-extra (2011.20120314-1) experimental; urgency=low

  * new upstream with proper blacklist handling

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:52:17 +0900

texlive-extra (2011.20120226-1) experimental; urgency=low

  * new upstream, too many changes

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 21:33:19 +0900

texlive-extra (2009-10) unstable; urgency=low

  * add the forgotten epoch for musixtex dependency (Closes: #587746)

 -- Norbert Preining <preining@debian.org>  Thu, 01 Jul 2010 19:23:57 +0900

texlive-extra (2009-9) unstable; urgency=low

  * make texlive-music *not* depend on musixlyr and musixtex-slurps
    anymore, but tighten dep on new musixtex package that provides this
    functionality (Closes: #587718)

 -- Norbert Preining <preining@debian.org>  Thu, 01 Jul 2010 13:48:35 +0900

texlive-extra (2009-8) unstable; urgency=low

  [ Norbert Preining ]
  * install man page for pdfcrop (Closes: #574796)
  * update epstopdf to latest version (--output fixes) (Closes: #573540)
  * include revtex4 backward compatibility (Closes: #561836)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Added fix-bashism patch to fix bashism in listings-ext.sh
    (Closes: #581138)

  [ Hilmar Preuße ]
  * [extra] add ghostscript to the list of recommends of
    texlive-font-utils (Closes: #584329)

 -- Norbert Preining <preining@debian.org>  Sat, 19 Jun 2010 16:14:25 +0900

texlive-extra (2009-7) unstable; urgency=high

  * install man pages for pkfix and ps4pdf (Closes: #563301)
  * texlive-latex-extra replaces texlive-base-bin (<< 2008) (Closes: #564709)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jan 2010 23:49:16 +0900

texlive-extra (2009-6) unstable; urgency=low

  * install several man pages (Closes: #562498)
  * update epstopdf to current version (where --filter works)
    (Closes: #562497)
  * remove various outdated "updates" taken over from 2007 but already
    present or newer in TL2009

 -- Norbert Preining <preining@debian.org>  Fri, 25 Dec 2009 11:38:44 +0900

texlive-extra (2009-5) unstable; urgency=low

  * texlive-extra-utils: add symlinks for listings-ext, findhyph, 
    texdiff, rpdfcrop
  * texlive-formats-extra depends texlive-latex-base since it needs 
    bplain.tex (Closes: #561882)
  * more replaces (why haven't they be found by now???)
    texlive-latex-extra replaces texlive-extra-utils (for vpe.pl)
    texlive-plain-extra replaces texlive-lang-vietnamese (for MIKmathf.tex)

 -- Norbert Preining <preining@debian.org>  Tue, 22 Dec 2009 03:26:51 +0900

texlive-extra (2009-4) unstable; urgency=low


