=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516)
Description: TeX Live: Extra BibTeX styles
 Additional BibTeX styles and bibliography databases, including BibLaTeX.
 .
 This package includes the following CTAN packages:
  aichej -- Bibliography style file for the AIChE Journal.
  amsrefs -- A LaTeX-based replacement for BibTeX.
  apacite -- Citation style following the rules of the APA.
  apalike2 -- Bibliography style that approaches APA requirements.
  beebe --
  bibarts -- "Arts"-style bibliographical information.
  bibexport -- Extract a BibTeX file based on a .aux file.
  bibhtml -- BibTeX support for HTML files.
  biblatex -- Bibliographies in LaTeX using BibTeX for sorting only.
  biblatex-apa -- Biblatex citation and reference style for APA.
  biblatex-bwl --
  biblatex-chem -- Chemistry styles for biblatex.
  biblatex-chicago -- Chicago style files for biblatex.
  biblatex-dw -- Humanities styles for biblatex.
  biblatex-fiwi -- Biblatex styles for use in German humanities.
  biblatex-historian -- A Biblatex style.
  biblatex-ieee -- Ieee style files for biblatex.
  biblatex-juradiss -- Biblatex stylefiles for German law thesis.
  biblatex-luh-ipw -- Biblatex styles for social sciences.
  biblatex-mla -- MLA style files for biblatex.
  biblatex-musuos -- A biblatex style for citations in musuos.cls.
  biblatex-nature -- Biblatex support for Nature.
  biblatex-nejm -- Biblatex style for the New England Journal of Medicine
   (NEJM).
  biblatex-philosophy -- Styles for using biblatex for work in philosophy.
  biblatex-science -- Biblatex support for Science.
  biblatex-swiss-legal -- Bibliography and citation styles following Swiss
   legal practice.
  biblist -- Print a BibTeX database.
  bibtopic -- Include multiple bibliographies in a document.
  bibtopicprefix -- Prefix references to bibliographies produced by bibtopic.
  bibunits -- Multiple bibliographies in one document.
  breakcites -- Ensure that multiple citations may break at line end.
  cell -- Bibliography style for Cell.
  chbibref -- Change the Bibliography/References title.
  chicago -- A "Chicago" bibliography style.
  chicago-annote -- Chicago-based annotated BibTeX style.
  chembst -- A collection of BibTeX files for chemistry journals.
  chscite -- Bibliography style for Chalmers University of Technology.
  collref -- Collect blocks of references into a single reference.
  compactbib -- Multiple thebibliography environments.
  custom-bib -- Customised BibTeX styles.
  din1505 -- Bibliography styles for German texts.
  dk-bib -- Danish variants of standard BibTeX styles.
  doipubmed -- Special commands for use in bibliographies.
  fbs -- BibTeX style for Frontiers in Bioscience.
  figbib -- Organize figure databases with BibTeX.
  footbib -- Bibliographic references as footnotes.
  geschichtsfrkl -- BibLaTeX style for historians.
  harvard -- Harvard citation package for use with LaTeX 2e.
  harvmac -- Macros for scientific articles.
  historische-zeitschrift -- Biblatex style for the journal 'Historische
   Zeitschrift'
  ijqc -- BibTeX style file for the Intl. J. Quantum Chem.
  inlinebib -- Citations in footnotes.
  iopart-num -- Numeric citation style for IOP journals.
  jneurosci -- BibTeX style for the Journal of Neuroscience.
  jurabib -- Extended BibTeX citation support for the humanities and legal
   texts.
  ksfh_nat --
  listbib -- Lists contents of BibTeX files.
  logreq -- Support for automation of the LaTeX workflow.
  margbib -- Display bibitem tags in the margins.
  multibib -- Multiple bibliographies within one document.
  munich -- An alternative authordate bibliography style.
  notes2bib -- Integrating notes into the bibliography.
  perception -- BibTeX style for the journal Perception.
  pnas2009 -- Bibtex style for PNAS.
  rsc -- BibTeX style for use with RSC journals.
  showtags -- Print the tags of bibliography entries.
  sort-by-letters -- Bibliography styles for alphabetic sorting.
  splitbib -- Split and reorder your bibliography.
  uni-wtal-ger --
  urlbst -- Web support for BibTeX.
  usebib -- A simple bibloography processor.
  vak -- BibTeX style for Russian Theses, books, etc.
  xcite -- Use citation keys from a different document.

Package: texlive-extra-utils
Architecture: all
Depends: python, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516), texlive-binaries (>= 2012-0)
Conflicts: pdfjam (<< 2011)
Recommends: ruby | ruby-interpreter, ghostscript
Provides: pdfjam
Suggests: purifyeps, chktex, latexmk, dvipng, xindy, dvidvi, fragmaster, lacheck, latexdiff
Replaces: pdfjam
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and
   macros for DVI file manipulation, literate programming, patgen, and the
   TeX Works Editor.
 .
 This package includes the following CTAN packages:
  a2ping -- Advanced PS, PDF, EPS converter.
  bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99.
  bibtexu --
  bundledoc -- Bundle together all the files needed to build a LaTeX
   document.
  ctanify -- Prepare a package for upload to CTAN.
  ctanupload -- Support for users uploading to CTAN.
  ctie -- C version of tie (merging Web change files).
  cweb -- A Web system in C.
  de-macro -- Expand private macros in a document.
  detex -- Strip TeX from a source file.
  dtl -- Tools to dis-assemble and re-assemble DVI files.
  dvi2tty -- Produce ASCII from DVI.
  dviasm -- A utility for editing DVI files.
  dvicopy -- Copy DVI files, flattening VFs.
  dviljk -- DVI to Laserjet output.
  dvipos --
  dvisvgm -- Converts DVI files to Scalable Vector Graphics format (SVG).
  findhyph -- Find hyphenated words in a document.
  hyphenex -- Generate a hyphenation exceptions file.
  installfont -- A bash script for installing a LaTeX font family.
  latex2man -- Translate LaTeX-based manual pages into Unix man format.
  latexfileversion -- Prints the version and date of a LaTeX class or style
   file.
  listings-ext -- Automated input of source.
  match_parens -- Easily detect mismatched parens.
  mkjobtexmf -- Generate a texmf tree for a particular job.
  patgen -- Generate hyphenation patterns.
  pdfcrop -- Crop PDF graphics.
  pdfjam -- Shell scripts interfacing to pdfpages.
  pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
  pkfix -- Replace pk fonts in PostScript with Type 1 fonts.
  pkfix-helper -- Make PostScript files accessible to pkfix.
  seetexk -- Utilities for manipulating DVI files.
  sty2dtx -- Create a .dtx file from a .sty file.
  synctex --
  texcount -- Count words in a LaTeX document.
  texdef -- Display the definitions of TeX commands.
  texdiff -- Compare documents and produce tagged merge.
  texdirflatten -- Collect files related to a LaTeX job in a single
   directory.
  texliveonfly -- On-the-fly download of missing TeX live packages.
  texloganalyser -- Analyse TeX logs.
  texware -- Utility programs for use with TeX.
  tie -- Allow multiple web change files.
  tpic2pdftex -- Use tpic commands in PDFTeX.
  typeoutfileinfo -- Display class/package/file information.
  web -- original web programs tangle and weave

Package: texlive-font-utils
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: ps2eps, ghostscript
Suggests: psutils, t1utils
Description: TeX Live: Graphics and font utilities
 Programs for conversion between font formats, testing fonts, virtual fonts,
   .gf and .pk manipulation, mft, fontinst, etc. Manipulating OpenType,
   TrueType, PostScript Type 1, and PostScript and other images.
 .
 This package includes the following CTAN packages:
  accfonts -- Utilities to derive new fonts from existing ones.
  afm2pl -- AFM font metrics to TeX pl converter.
  dosepsbin -- Deal with DOS binary EPS files.
  epstopdf --
  fontware --
  ps2pkm -- Generate a PK font from an Adobe Type 1 font.
  pstools -- Produce Encapsulated PostScript from PostScript.
  dvipsconfig -- Collection of dvips PostScript headers.
  fontinst -- Help with installing fonts for TeX and LaTeX.
  fontools -- Tools to simplify using fonts (especially TT/OTF ones).
  mf2pt1 -- Produce PostScript Type 1 fonts from Metafont source.
  ttfutils --

Package: texlive-formats-extra
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Extra formats
 Collected TeX `formats', i.e., large-scale macro packages designed to be
   dumped into .fmt files, other than most common ones, such as latex and
   context.
 .
 This package includes the following CTAN packages:
  edmac -- Typeset scholarly edition.
  eplain -- Extended plain tex macros.
  mltex -- The MLTeX system.
  psizzl -- A TeX format for physics papers.
  startex -- An XML-inspired format for student use.
  texsis -- Plain TeX macros for Physicists.

Package: texlive-generic-extra
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Extra generic packages
 Extra packages that work with multiple formats, typically both TeX and
   LaTeX.
 .
 This package includes the following CTAN packages:
  abbr -- Simple macros supporting abreviations for Plain and LaTeX.
  abstyles -- Adaptable BibTeX styles.
  barr -- Diagram macros by Michael Barr.
  bitelist -- Split list, in TeX's mouth.
  borceux -- Diagram macros by Francois Borceux.
  c-pascal -- Typeset Python, C and Pascal programs.
  chronosys -- Drawing time-line diagrams.
  colorsep -- Color separation.
  dinat -- Bibliography style for German texts.
  dirtree -- Display trees in the style of windows explorer.
  dowith --
  eijkhout -- Victor Eijkhout's packages.
  encxvlna -- Insert nonbreakable spaces, using encTeX.
  epigram -- Display short quotations.
  fenixpar -- One-shot changes to token registers such as \everypar.
  fltpoint -- Simple floating point arithmetic.
  fntproof -- A programmable font test pattern generator.
  gates -- Support for writing modular and customisable code.
  ifetex -- Provides \ifetex switch.
  iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
  insbox -- A TeX macro for inserting pictures/boxes into paragraphs.
  lecturer -- On-screen presentations for (almost) all formats.
  librarian -- Tools to create bibliographies in TeX.
  mathdots -- Commands to produce dots in math that respect font size.
  metatex -- Incorporate MetaFont pictures in TeX source.
  midnight -- A set of useful macro tools.
  multi --
  navigator -- PDF features across formats and engines.
  ofs -- Macros for managing large font collections.
  pdf-trans -- A set of macros for various transformations of TeX boxes.
  shade -- Shade pieces of text.
  systeme -- Format systems of equations.
  tabto-generic -- "Tab" to a measured position in the line.
  texapi -- Macros to write format-independent packages.
  upca --
  xlop -- Calculates and displays arithmetic operations.
  yax -- Yet Another Key System.

Package: texlive-math-extra
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-fonts-recommended (>= 2012.20120516)
Replaces: texlive-latex-extra-doc (<< 2010), texlive-latex-extra-doc (<< 2011)
Description: TeX Live: Advanced math typesetting
